[PATCH] Mouse cursor dissappears with nouveau

Bug #583760 reported by tdn on 2010-05-21
40
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Nouveau Xorg driver
Fix Released
Medium
Gentoo Linux
Unknown
High
libdrm (Fedora)
Won't Fix
Medium
linux (Ubuntu)
Medium
Seth Forshee
Lucid
Medium
Seth Forshee
Maverick
Medium
Seth Forshee
Natty
Medium
Seth Forshee

Bug Description

SRU Justification

Impact: Mouse cursor disappears after some time of using the nouveau driver on a computer with NV50 graphics

Fix: Backport of upstream workaround that avoids using the last 32 bytes of the evo ring buffer.

Test case: Verified with natty on LP #583760.

---

Suddenly my mouse cursor dissappeared.

I got this error in the logs:
2010-05-21T13:48:37.658810+02:00 malbec.vineyard.sikkerhed.org kernel: [ 8011.646410] [drm] nouveau 0000:01:00.0: EvoCh 0 Mthd 0x0000 Data 0x00000400 (0x0002 0x01)

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: libdrm-nouveau1 2.4.18-1ubuntu3
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic i686
Architecture: i386
Date: Fri May 21 13:50:02 2010
DkmsStatus:
 virtualbox-ose, 3.1.6, 2.6.32-21-generic, i686: installed
 virtualbox-ose, 3.1.6, 2.6.32-22-generic, i686: installed
GdmLog:
 Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log'] failed with exit code 1: QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory
 QFileSystemWatcher: failed to add paths: /home/tdn/.config/ibus/bus
 Bus::open: Can not get ibus-daemon's address.
 IBusInputContext::createInputContext: no connection to ibus-daemon
 cat: /var/log/gdm/:0.log: No such file or directory
GdmLog1: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.1'] failed with exit code 1: cat: /var/log/gdm/:0.log.1: No such file or directory
GdmLog2: Error: command ['kdesudo', '--', 'cat', '/var/log/gdm/:0.log.2'] failed with exit code 1: cat: /var/log/gdm/:0.log.2: No such file or directory
InstallationMedia: Kubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100427)
MachineType: LENOVO 6460D8G
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.32-22-generic root=/dev/mapper/hostname-root ro quiet splash
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=en_DK.UTF-8
 SHELL=/bin/zsh
SourcePackage: libdrm
dmi.bios.date: 11/14/2008
dmi.bios.vendor: LENOVO
dmi.bios.version: 7LETC5WW (2.25 )
dmi.board.name: 6460D8G
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7LETC5WW(2.25):bd11/14/2008:svnLENOVO:pn6460D8G:pvrThinkPadT61p:rvnLENOVO:rn6460D8G:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 6460D8G
dmi.product.version: ThinkPad T61p
dmi.sys.vendor: LENOVO
system:
 distro: Ubuntu
 codename: lucid
 architecture: i686
 kernel: 2.6.32-22-generic

Nouveau works nicely on my laptop, including suspend and resume, until the power source changes (from AC to battery or from battery to AC).

After that event, mouse pointer gets flaky and I see in /var/log/messages lots of lines like:

Nov 12 01:01:12 localhost kernel: [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Nov 12 01:01:12 localhost kernel: [drm] nouveau 0000:01:00.0: no space while setting cursor image
Nov 12 01:01:12 localhost kernel: [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Nov 12 01:01:14 localhost kernel: [drm] nouveau 0000:01:00.0: no space while setting cursor image
Nov 12 01:01:14 localhost kernel: [drm] nouveau 0000:01:00.0: no space while unhiding cursor

Card is:
nVidia Corporation Quadro NVS 130M [10de:042a]

Is this 100% reproducible on your system, or a random occurance?

100% reproducible. The timing between power source change and the symptoms varies, but always within minutes I get to the issue.

Right now the only way out seems a reboot, suspending or hibernating leads to a black screen on resume.

I have experienced this same problem on my desktop system a few days ago. I have not used suspend/resume.

xorg-x11-server-Xorg-1.7.1-7.fc12.i686
xorg-x11-drv-nouveau-0.0.15-17.20091105gite1c2efd.fc12.i686
xorg-x11-drv-nouveau-debuginfo-0.0.15-17.20091105gite1c2efd.fc12.i686

It's only happened once, but when it happened, my machine got horribly slow. Restarting X "resolved" the issue.

Xorg.0.log and /var/log/messages will be attached...

Created attachment 369809
Xorg.0.log from the session where the cursor problem occured

38 comments hidden view all 112 comments
tdn (spam-thomasdamgaard) wrote :
Bryce Harrington (bryce) on 2010-05-21
Changed in libdrm (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) on 2010-05-22
tags: added: kubuntu
Jochen Kemnade (jochenkemnade) wrote :

Happens for me too on lucid amd64. This does not happen with the nvidia driver.

27: PCI 200.0: 0300 VGA compatible controller (VGA)
  [Created at pci.318]
  Unique ID: B35A.9kxaXveYaz6
  Parent ID: 3hqH.qNcqIMr0SqF
  SysFS ID: /devices/pci0000:00/0000:00:03.0/0000:02:00.0
  SysFS BusID: 0000:02:00.0
  Hardware Class: graphics card
  Model: "nVidia VGA compatible controller"
  Vendor: pci 0x10de "nVidia Corporation"
  Device: pci 0x060a
  SubVendor: pci 0x1558 "CLEVO/KAPOK Computer"
  SubDevice: pci 0x8687
  Revision: 0xa2
  Driver: "nouveau"
  Driver Modules: "drm"
  Memory Range: 0xce000000-0xceffffff (rw,non-prefetchable)
  Memory Range: 0xd0000000-0xdfffffff (rw,prefetchable)
  Memory Range: 0xcc000000-0xcdffffff (rw,non-prefetchable)
  I/O Ports: 0x2000-0x2fff (rw)
  IRQ: 16 (98 events)
  I/O Ports: 0x3c0-0x3df (rw)
  Module Alias: "pci:v000010DEd0000060Asv00001558sd00008687bc03sc00i00"
  Driver Info #0:
    Driver Status: nouveau is active
    Driver Activation Cmd: "modprobe nouveau"
  Driver Info #1:
    Driver Status: nvidiafb is not active
    Driver Activation Cmd: "modprobe nvidiafb"
  Config Status: cfg=new, avail=yes, need=no, active=unknown
  Attached to: #8 (PCI bridge)

Primary display adapter: #27
02:00.0 VGA compatible controller: nVidia Corporation GT200 [GeForce GTX 280M] (rev a2)
        Subsystem: CLEVO/KAPOK Computer Device 8687
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at ce000000 (32-bit, non-prefetchable) [size=16M]
        Region 1: Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Region 3: Memory at cc000000 (64-bit, non-prefetchable) [size=32M]
        Region 5: I/O ports at 2000 [size=128]
        Capabilities: <access denied>
        Kernel driver in use: nouveau
        Kernel modules: nvidiafb, nouveau

tdn (spam-thomasdamgaard) wrote :

Is there any hope this will be fixed soon? Or should I just install the proprietary nvidia driver? (are there other alternatives?)

69 comments hidden view all 112 comments

I get the same message as David in comment #36, then the stream of no space messages with jerky window and cursor behaviour.

Fully up-to-date F13,

kernel-2.6.33.5-124.fc13.x86_64
xorg-x11-drv-nouveau-0.0.16-6.20100423git13c1043.fc13.x86_64
xorg-x11-server-Xorg-1.8.0-17.fc13.x86_64

nVidia Corporation G84M [Quadro NVS 140M] (rev a1)

I started getting these messages yesterday, I suspect it was when I experienced a sudden very high load and non-responsiveness - I was running a windows machine inside virtualbox so that I could run gotomeeting, and I was given control of the meeting. When I would click on something in the vm nothing would happen until I moved the mouse out of the virtualbox.
But I've continued to get the messages at a lower rate even after suspending the windows machine.
kernel= 2.6.32.14-127.fc12.x86_64

I had this problem a while ago and rolled back nouveau and the problem went away (well it didn't happen again - but of course that's no certainty that the bug was not present in the earlier versions)

The old nouveau that appears to be OK is:
xorg-x11-drv-nouveau-0.0.15-17.20091105gite1c2ef
(that's the one I rolled back to when the mouse problem first showed itself)

5 days ago I did a full update that included:
kernel-2.6.32.16-141.fc12.x86_64 and
xorg-x11-drv-nouveau-0.0.15-21.20091105gite1c2efd.fc12.x86_64
and the problem has happened again today (for the first time since the rollback)

Xorg.0.log info:

First nVidia message is:
nVidia Corporation GeForce 8600 GTS rev 161, Mem @ 0xf6000000/16777216, 0xe0000000/268435456, 0xf4000000/33554432, I/O @ 0x0000b000/128, BIOS @ 0x????????/131072

I use a USB mouse, log says:
Microsoft Microsoft 5-Button Mouse with IntelliEye(TM)

I also have a USB Bamboo that the log finds BEFORE the mouse:
Wacom BambooFun 6x8
(I don't use the pen)

The rest of the log looks like status dumps without any error messages.

In my case it's a dual display and acts even stranger when the problem occurs (randomly?):
The left display shows the mouse correctly (but jerky)
In the right display (which has the menu bar) the mouse works but it is invisible
More strange: the mouse image is partially still shown on the edge of the left screen while using the right screen

When the screen saver comes on the mouse is still visible in the left screen
It doesn't fix the problem when the screen comes back
(thought I'd mention that because I've seen it said elsewhere)

It maybe happens when mplayer is playing fullscreen
(so a fullscreen app may be needed to activate the bug)
Of course when the problem wasn't there I was using the current mplayer version constantly also

The first dmesg error was:
[drm] nouveau 0000:01:00.0: EvoCh 0 Mthd 0x0000 Data 0x00000400 (0x0002 0x01)

followed by lots of the cursor messages (both 'hiding' and 'unhiding')

Minor updates on previous post:
I only boot runlevel 3 and thus always use startx
(as user "root")

Once the problem has occurred:
X menu System->"Log Out root..." fails to go back to the console
(the screen clears to just showing the backgrounds and then stops)

OS is of course unaffected by this - ssh login works fine
(I use that to "shutdown -r now")

I've rolled back to xorg-x11-drv-nouveau-0.0.15-17.20091105gite1c2ef
again (nothing else changed) and will report if it happens again with this
version

Logout messages of Xorg.0.log (before logout stops):

(II) AT Translated Set 2 keyboard: Close
(II) UnloadModule: "evdev"
(II) Macintosh mouse button emulation: Close
(II) UnloadModule: "evdev"
(II) UnloadModule: "wacom"
(II) UnloadModule: "wacom"
(II) UnloadModule: "wacom"
(II) Wacom BambooFun 6x8: removing automatically added devices.
(II) UnloadModule: "wacom"
(II) Microsoft Microsoft 5-Button Mouse with IntelliEye(TM): Close
(II) UnloadModule: "evdev"
(II) Power Button: Close
(II) UnloadModule: "evdev"
(II) Power Button: Close
(II) UnloadModule: "evdev"
(II) NOUVEAU(0): NVLeaveVT is called.
(II) NOUVEAU(0): Closed GPU channel 2

No errors seem to be reported in that log

Also now had the same problem occur with the older RPM:
xorg-x11-drv-nouveau-0.0.15-17.20091105gite1c2ef

Also, the fullscreen app (mplayer) was not running when it occurred.

Had the same messages for dmesg, /var/log/messages, /var/log/Xorg.0.log as before.
(except no cursor hide/unhide messages)

This time I also got the extra shutdown message (after trying to logout)
dmesg:
[drm] nouveau 0000:01:00.0: nouveau_channel_free: freeing fifo 2
/var/log/messages:
Jul 30 12:34:08 ... kernel: [drm] nouveau 0000:01:00.0: nouveau_channel_free: freeing fifo 2

However, I have found another problem with my system that may have something to do with the nouveau bug presenting itself.
My USB mouse is possibly failing and switches on and off sometimes ... easy for me to see while dragging windows around, because it sometimes lets go of a window but I haven't released the left mouse button
(I only realised what was going on after my previous comments)

Download full text (5.1 KiB)

Created attachment 451152
Provide info on the Evo channel in debugfs

I was able to do some debugging on this issue today, and have a mosly reproducible test case (~90-95%) on my laptop (also using an external monitor). Here's nouveau's spiel about the card on boot of the 2.6.34.7-56.fc13.x86_64 kernel.

[drm] nouveau 0000:01:00.0: Detected an NV50 generation card (0x086900a2)
[drm] nouveau 0000:01:00.0: Attempting to load BIOS image from PRAMIN
[drm] nouveau 0000:01:00.0: ... appears to be valid
[drm] nouveau 0000:01:00.0: BIT BIOS found
[drm] nouveau 0000:01:00.0: Bios version 60.86.68.00
[drm] nouveau 0000:01:00.0: TMDS table revision 2.0 not currently supported
[drm] nouveau 0000:01:00.0: Found Display Configuration Block version 4.0
[drm] nouveau 0000:01:00.0: Raw DCB entry 0: 01000323 00010034
[drm] nouveau 0000:01:00.0: Raw DCB entry 1: 02011300 00000028
[drm] nouveau 0000:01:00.0: Raw DCB entry 2: 02022312 00010010
[drm] nouveau 0000:01:00.0: Raw DCB entry 3: 010333f1 00c0c070
[drm] nouveau 0000:01:00.0: Raw DCB entry 4: 0000000e 00000000
[drm] nouveau 0000:01:00.0: DCB connector table: VHER 0x40 5 14 2
[drm] nouveau 0000:01:00.0: 0: 0x00000041: type 0x41 idx 0 tag 0xff
[drm] nouveau 0000:01:00.0: unknown type, using 0x40
[drm] nouveau 0000:01:00.0: 1: 0x00000100: type 0x00 idx 1 tag 0xff
[drm] nouveau 0000:01:00.0: 2: 0x00001255: type 0x55 idx 2 tag 0x07
[drm] nouveau 0000:01:00.0: unknown type, using 0x31
[drm] nouveau 0000:01:00.0: 3: 0x00000310: type 0x10 idx 3 tag 0xff
[drm] nouveau 0000:01:00.0: 4: 0x00000311: type 0x11 idx 4 tag 0xff
[drm] nouveau 0000:01:00.0: 5: 0x00000313: type 0x13 idx 5 tag 0xff
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xC11C
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xC486
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xD0C7
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xD1B9
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xD3B3
[drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0xD418
[drm] nouveau 0000:01:00.0: 0xD418: Condition still not met after 20ms, skipping following opcodes
[drm] nouveau 0000:01:00.0: 0xB1D6: parsing output script 0
[drm] nouveau 0000:01:00.0: 0xB34C: parsing output script 0
[drm] nouveau 0000:01:00.0: 0xA228: parsing output script 0
[drm] nouveau 0000:01:00.0: Detected 256MiB VRAM
[drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
[drm] nouveau 0000:01:00.0: DCB encoder 1 unknown
[drm] nouveau 0000:01:00.0: TV-1 has no encoders, removing
[drm] nouveau 0000:01:00.0: gpio tag 0xff not found
[drm] nouveau 0000:01:00.0: gpio tag 0xff not found
[drm] nouveau 0000:01:00.0: Allocating FIFO number 1
[drm] nouveau 0000:01:00.0: nouveau_channel_alloc: initialised FIFO 1
[drm] nouveau 0000:01:00.0: allocated 1920x1200 fb: 0x40230000, bo ffff8800790a2400
fbcon: nouveaufb (fb0) is primary device
[drm] nouveau 0000:01:00.0: 0xB083: parsing clock script 0
fb0: nouveaufb frame buffer device
[drm] Initialized nouveau 0.0.16 20090420 for 0000:01:00.0 on minor 0
[drm] nouveau 0000:01:00.0: 0xB199: parsing clock script 1
[drm] nouveau 0000:01:00.0: 0x1085: parsing clock s...

Read more...

Wow, I'm impressed, many thanks for getting that. FWIW I always have at least 10 xterms open and "xlock -mode blank" is my screensaver, so I always saw the issue after a couple of days at most.

I'm adding a 'me too' to this bug under F13.

Dual Screens, when manifested cursor has issues drawing on left hand screen, appears ok on right hand screen.

lspci;
01:00.0 VGA compatible controller: nVidia Corporation GT216 [GeForce GT 220] (rev a2)

Driver;
xorg-x11-drv-nouveau-0.0.16-8.20100423git13c1043.fc13.i686

happens with 2 hours of a reboot under kernel-PAE-2.6.34.7-56.fc13.i686, can take several days with kernel-PAE-2.6.34.6-54.fc13.i686.

/var/log/messages
Oct 18 11:09:00 cbr-sjw-dt kernel: [drm] nouveau 0000:01:00.0: EvoCh 0 Mthd 0x0000 Data 0x00000400 (0x0002 0x01)

Happy to work with people on this one, it's making this workstation nearly unusable.

I have not seen the original behaviour I reported since long, but now that I switched to F14 I guess the best course of action is to close this report and let users on a different release (this was for F12, which is EOL in about one month anyway) or different cards from mine open more specific bug reports.

Same for me. Has not happened once in a very long time (more than 6 months).

Still happening every so often on F12
(I swapped the flaky mouse out long ago)

Current nouveau is:
xorg-x11-drv-nouveau-0.0.15-21.20091105gite1c2efd.fc12.x86_64

Really is annoying sometimes to have to kill everything and shut down to fix the problem

(I've ALWAYS booted 'init 3' on all Linux servers because I don't think graphics drivers should be needed to boot a server ... the drivers for a while now have been forced upon us even during an 'init 3' boot ... but I've also had 'init 3' on all my desktops too ... pity it doesn't help with this problem.
My other F12 desktop - dual screen LCD + TV connected - uses that 'other' driver - obviously due to TV-Out - and though I don't work on it much - just for playing DVD's or other videos - I've still never had this problem with it)

I still see the behavior I reported (see comment 35) on F-13 once in awhile. Steve Walsh (comment 44) appears to be seeing the same thing. I'll ask again: is this really the same bug? If not, perhaps bug 548545 should be revived.

This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 12 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora please change the 'version' of this
bug to the applicable version. If you are unable to change the version,
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

I use Slackware, this has got nothing to do with Fedora 12, if this bug gets closed I'm giving up on this and switching to the closed nvidia driver.

Please respect the maintainer and dont be rude.

You should be aware of the fact that this bugzilla instance is to be used with RHEL and Fedora only not for everydistro out there so please file your report either to slackware bugzilla instance if they have one or directly upstream with the nouveau maintainers.

However you are welcome to download the latest Fedora release ( 14 ) install it and try to see if you still experience this problem and if so you can make note of that on this bug.

Thank you.

As the original reporter, I need to note this was for a specific version of nuoveau (the one in F12) with my specific card (with ID in the summary) and that I did not experience anymore mouse movement issues (now I'm on F14, no issues there as well)

If you are running any other combo, I advice to open another, separate report

Created attachment 457771
Band-aid patch that solves the problem for me

Continuing the work I started in comment 42, I was also seeing the "EvoCh 0 Mthd
0x0000 Data 0x00000400 (0x0002 0x01)" messages as everyone else. I did more investigation, and found that not using the last 32 bytes of the Evo ring buffer solved the issue for me -- I no longer get the EvoCh messages, which directly lead to the "no space" messages as seen by the original report and the jerky mouse movements reported by others. This bug is current as of F13, and is likely in F14 and rawhide, as the issue is not yet fixed upstream.

Prior to the patch, dma.max was getting the value 1022. &'ing with ~7 was equivalent to subtracting another 6 entries from that value. I also tried ~3, but that did not fix the issue. I was asked on IRC to try subtracting 5, 4 etc to narrow down the minimum value, and my testing confirmed that subtracting 6 (&= ~7) was minimal. I also tried changing some of the register settings above (NV50_PDISPLAY_CHANNEL_UNK2, etc) but was not successful in teasing out meaning or a fix using them. I have not tried playing with the RAMHT for Evo.

I don't like that my patch involves yet more magic numbers without explanation, but it has been stable for me for the past few weeks, and solves my cursor problem.

Created attachment 457773
Test program that provokes the problem

This program hides/unhides the cursor for the number of cycles given on the command line, default 1. I use this to push the Evo channel's index through the rewind and expose the EvoCh messages. It's much easier than moving the cursor from window to window for a while until things wrap. With my patch, this survives thousands of iterations.

Reassigning to 13 as suggested by Ben on IRC; that will avoid the auto-close.

(In reply to comment #54)
> Created attachment 457773 [details]
> Test program that provokes the problem
>
> This program hides/unhides the cursor for the number of cycles given on the
> command line, default 1. I use this to push the Evo channel's index through the
> rewind and expose the EvoCh messages. It's much easier than moving the cursor
> from window to window for a while until things wrap. With my patch, this
> survives thousands of iterations.

Can you give the list of libs needed to build the program ?

Thanks.

(In reply to comment #56)
> (In reply to comment #54)
> > This program hides/unhides the cursor for the number of cycles given on the
> > command line, default 1. I use this to push the Evo channel's index through the
> > rewind and expose the EvoCh messages. It's much easier than moving the cursor
> > from window to window for a while until things wrap. With my patch, this
> > survives thousands of iterations.
>
> Can you give the list of libs needed to build the program ?
>
> Thanks.

cc -o cycle_cursor -O3 -Wall cycle_cursor.c -lX11

88 comments hidden view all 112 comments
Stephen M. Webb (bregma) wrote :

I get this problem on a regular basis. Several times a day. It requires a full reboot to reset.

I am running 10.10 on a Thinkpad T410 with an external monitor. The mouse cursor disappears from the built-in display on the laptop but continues to appear on the external monitor. The mouse does, in fact, work on the built-in display but is invisible.

there is nothing abnormal in the Xorg.0.oog, but dmesg always has the following.

[ 8319.721137] [drm] nouveau 0000:01:00.0: EvoCh 0 Mthd 0x0000 Data 0x00000400 (0x0002 0x01)
[ 8607.947182] [drm] nouveau 0000:01:00.0: no space while hiding cursor
[ 8608.059054] [drm] nouveau 0000:01:00.0: no space while hiding cursor
[ 8611.209928] [drm] nouveau 0000:01:00.0: no space while hiding cursor
(this last line is repeated zillions of times).

This bug has also been reported in Fedora <https://bugzilla.redhat.com/show_bug.cgi?id=537065>. That bug has a workaround kernel patch included <https://bugzilla.redhat.com/attachment.cgi?id=457771&action=diff>.

89 comments hidden view all 112 comments

David, I've been using your patch in comment 53 and it's resolved the issue for me too, thank you very much.

I experienced the same problem on Fedora 14: "no space while unhiding cursor".
This issue is very annoying because the system becomes so slow that I need to restart it.

I'd like to test the patch in comment 53, but I cannot find nv50_display.c.
I've installed the kernel sources (yum install kernel-devel) but the folder "/usr/src/kernels/2.6.35.6-48.fc14.x86_64/drivers/gpu/drm/nouveau" is empty.

I think that the Severity and Priority for this bug should be higher, because, when it occurs, the system becomes so slow that is almost unusable and on my laptop occurs every day.

My video card is:
01:00.0 VGA compatible controller: nVidia Corporation GT216 [Quadro FX 880M] (rev a2)

I'm having the invisible cursor issue and the cycle_cursor app doesn't help with that problem.

I'm not seeing ANY errors in either the .xsession_errors file or in /var/log/messages* .

00:05.0 VGA compatible controller: nVidia Corporation C51G [GeForce 6100] (rev a2)

(In reply to comment #62)
> I'm having the invisible cursor issue and the cycle_cursor app doesn't help
> with that problem.
>
> I'm not seeing ANY errors in either the .xsession_errors file or in
> /var/log/messages* .
>
> 00:05.0 VGA compatible controller: nVidia Corporation C51G [GeForce 6100] (rev
> a2)

This one is actually a hardware bug, and not related in any way.

I don't know if my issue is related to this bug, but on my laptop (Compal JFL92) with a 8600M GT card, kernel 2.6.35.8-60 killed my sound. Pulseaudio no more sees the sound card (HDA Intel) and falls back to dummy audio output. No problem at all with 2.6.35.8-59. I'm not sure if this is the right bug to report it, as the kernel changelog reads:

* Fri Nov 19 2010 Ben Skeggs <email address hidden> 2.6.35.8-60
- nouveau: add quirk for iMac G4 (rhbz#505161)
- nouveau: add workaround for display hang on GF8+ (rhbz#537065)
- nouveau: don't reject 3D object creation on NVAF (MBA3)

but this seems the only one related to my hardware.
dmesg doesn't report anything suspicious, but I'm available for any further testing on this issue.

This on F14 x86_64.

(In reply to comment #63)
> (In reply to comment #62)
> > I'm having the invisible cursor issue and the cycle_cursor app doesn't help
> > with that problem.
> >
> > I'm not seeing ANY errors in either the .xsession_errors file or in
> > /var/log/messages* .
> >
> > 00:05.0 VGA compatible controller: nVidia Corporation C51G [GeForce 6100] (rev
> > a2)
>
> This one is actually a hardware bug, and not related in any way.

Odd, Since in Fedora 12 it worked fine (cursor showed up without any issues). It only seemed to happen after a certain point. Next time I have to reboot, I'll swap to an external card vs. the built in video).

(In reply to comment #64)
> I don't know if my issue is related to this bug, but on my laptop (Compal
> JFL92) with a 8600M GT card, kernel 2.6.35.8-60 killed my sound. Pulseaudio no
> more sees the sound card (HDA Intel) and falls back to dummy audio output. No
> problem at all with 2.6.35.8-59. I'm not sure if this is the right bug to
> report it, as the kernel changelog reads:
>
> * Fri Nov 19 2010 Ben Skeggs <email address hidden> 2.6.35.8-60
> - nouveau: add quirk for iMac G4 (rhbz#505161)
> - nouveau: add workaround for display hang on GF8+ (rhbz#537065)
> - nouveau: don't reject 3D object creation on NVAF (MBA3)
>
> but this seems the only one related to my hardware.
> dmesg doesn't report anything suspicious, but I'm available for any further
> testing on this issue.
>
> This on F14 x86_64.
What was your previous kernel? I don't see how these changes could possibly cause what you see.

(In reply to comment #65)
> (In reply to comment #63)
> > (In reply to comment #62)
> > > I'm having the invisible cursor issue and the cycle_cursor app doesn't help
> > > with that problem.
> > >
> > > I'm not seeing ANY errors in either the .xsession_errors file or in
> > > /var/log/messages* .
> > >
> > > 00:05.0 VGA compatible controller: nVidia Corporation C51G [GeForce 6100] (rev
> > > a2)
> >
> > This one is actually a hardware bug, and not related in any way.
>
> Odd, Since in Fedora 12 it worked fine (cursor showed up without any issues).
> It only seemed to happen after a certain point. Next time I have to reboot,
> I'll swap to an external card vs. the built in video).

I guess it's possible something in nouveau now triggers the hw bug more reliably. All previous reports indicate that it would usually come up find, and disappear randomly at some point until a reboot. I used to have the effected hardware (the machine has since died), and even the NVIDIA binary driver could not bring it back once it went.

(In reply to comment #66)
> (In reply to comment #64)
> > I don't know if my issue is related to this bug, but on my laptop (Compal
> > JFL92) with a 8600M GT card, kernel 2.6.35.8-60 killed my sound. Pulseaudio no
> > more sees the sound card (HDA Intel) and falls back to dummy audio output. No
> > problem at all with 2.6.35.8-59. I'm not sure if this is the right bug to
> > report it, as the kernel changelog reads:
> >
> > * Fri Nov 19 2010 Ben Skeggs <email address hidden> 2.6.35.8-60
> > - nouveau: add quirk for iMac G4 (rhbz#505161)
> > - nouveau: add workaround for display hang on GF8+ (rhbz#537065)
> > - nouveau: don't reject 3D object creation on NVAF (MBA3)
> >
> > but this seems the only one related to my hardware.
> > dmesg doesn't report anything suspicious, but I'm available for any further
> > testing on this issue.
> >
> > This on F14 x86_64.
> What was your previous kernel? I don't see how these changes could possibly
> cause what you see.

Previous kernel was 2.6.35-59, and audio still works if I boot it. Yeah I know, it's weird. I'm looking after getting some more info about it, but I doubt I'll have time today...

(In reply to comment #68)
> (In reply to comment #66)
> > (In reply to comment #64)
> > > I don't know if my issue is related to this bug, but on my laptop (Compal
> > > JFL92) with a 8600M GT card, kernel 2.6.35.8-60 killed my sound. Pulseaudio no
> > > more sees the sound card (HDA Intel) and falls back to dummy audio output. No
> > > problem at all with 2.6.35.8-59. I'm not sure if this is the right bug to
> > > report it, as the kernel changelog reads:
> > >
> > > * Fri Nov 19 2010 Ben Skeggs <email address hidden> 2.6.35.8-60
> > > - nouveau: add quirk for iMac G4 (rhbz#505161)
> > > - nouveau: add workaround for display hang on GF8+ (rhbz#537065)
> > > - nouveau: don't reject 3D object creation on NVAF (MBA3)
> > >
> > > but this seems the only one related to my hardware.
> > > dmesg doesn't report anything suspicious, but I'm available for any further
> > > testing on this issue.
> > >
> > > This on F14 x86_64.
> > What was your previous kernel? I don't see how these changes could possibly
> > cause what you see.
>
> Previous kernel was 2.6.35-59, and audio still works if I boot it. Yeah I know,
> it's weird. I'm looking after getting some more info about it, but I doubt I'll
> have time today...

Sorry disregard my bug report, I verified it's a problem with the new dracut update that triggers when a new initramfs is built, not a kernel problem. Coincidentally the two things overlapped on my system. Sorry for wasting your time.

As I already asked, how may I find nv50_display.c to try the patch in comment 53?

(In reply to comment #70)
> As I already asked, how may I find nv50_display.c to try the patch in comment
> 53?

You don't need to, it's in kernel-2.6.35.8-60.fc14 (http://koji.fedoraproject.org/koji/buildinfo?buildID=205566)

Okay, thanks a lot!
I still have the kernel 2.6.35.6-48.fc14.x86_64.

The kernel-2.6.35.8-60 is still a release candidate. May I install it simple by downloading the rpm or it's better that I wait for the official release (is there already a date?) and then updating with yum?

I've now installed the newer kernel (2.6.35.8-60). I let you known, if the problem ("no space while unhiding cursor") occurs again.

I'm using the newer kernel (2.6.35.8-60) for about one month and I haven't experienced the problem above ("no space while unhiding cursor") any more.

In my opinion this problem is fixed. Thanks a lot!

103 comments hidden view all 112 comments

After a while (I'm not sure how long) using nouveau, something happens which causes all of these symptoms to begin:

1. cursor movments become jerky
2. moving cursor from one screen to another leaves a copy of the cursor on the first screen
3. syslog shows many lines of "nouveau 0000:01:00.0: no space while hiding cursor"
4. switching to a text VT 'hangs' the display (showing the X screen still) and switching back 'unhangs' display (while on a text VT, though you can't see anything, you can do things 'blindly')
5. restarting X leaves the screen 'hung' with no ability to SysRq+REISUB (keyboard is fully locked up)

A while after the above happens, the entire system will become unresponsive (though background process like RAID resync or torrent continue), and the keyboard doesn't work at all. The only thing that works is moving the mouse cursor.

Reproducible: Always

Steps to Reproduce:
1. use a computer with the nouveau driver for 'a while'
Actual Results:
Please see 'description'.

Expected Results:
No loss of stability over time.

Linux delan2 2.6.38-rc2-delan2+ #5 SMP Fri Jan 28 16:21:14 WST 2011 x86_64 Intel(R) Core(TM)2 Quad CPU Q9650 @ 3.00GHz GenuineIntel GNU/Linux

Kernel is from torvalds/linux-2.6.git, though this did still occur with gentoo-sources-2.6.37.

x11-base/xorg-server-1.9.3.901-r1 from gentoo
x11-drivers/xf86-video-nouveau-0.0.16_pre20101130 from gentoo

In , Wormo (wormo) wrote :

Have you tried disabling hardware cursor yet?

Option "HWCursor" "false"

Also should be worth trying this patch:
https://bugzilla.redhat.com/attachment.cgi?id=457771

With hardware cursor disabled my cursor flickers heavily and is most of the time invisible. I'm using the default X cursors (the black one, no special cursors like DMZ installed).

The xorg.conf I tried:

Section "Device"
    Identifier "gtx260"
    Driver "nouveau"
    Option "HWCursor" "false"
EndSection

Also, if I understand correctly, that patch was for kernels before somewhere around 2.6.35, right? Just by eyeing my nv50_display.c I can see that the patch probably wouldn't apply anymore on my 2.6.38-rc3 tree.

I have tried to patch nv50_display.c but it failed:

File to patch: drivers/gpu/drm/nouveau/nv50_display.c
patching file drivers/gpu/drm/nouveau/nv50_display.c
Hunk #1 FAILED at 344.
1 out of 1 hunk FAILED -- saving rejects to file drivers/gpu/drm/nouveau/nv50_display.c.rej

If it helps, here's my new uname and some related lspci -vvvnn:

Linux delan2 2.6.38-rc3-delan2 #24 SMP Tue Feb 1 13:35:10 WST 2011 x86_64 Intel(R) Core(TM)2 Quad CPU Q9650 @ 3.00GHz GenuineIntel GNU/Linux

01:00.0 VGA compatible controller [0300]: nVidia Corporation GT200 [GeForce GTX 260] [10de:05e2] (rev a1) (prog-if 00 [VGA controller])
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0, Cache Line Size: 4 bytes
 Interrupt: pin A routed to IRQ 16
 Region 0: Memory at fa000000 (32-bit, non-prefetchable) [size=16M]
 Region 1: Memory at e0000000 (64-bit, prefetchable) [size=256M]
 Region 3: Memory at f8000000 (64-bit, non-prefetchable) [size=32M]
 Region 5: I/O ports at bf00 [size=128]
 [virtual] Expansion ROM at fb000000 [disabled] [size=512K]
 Capabilities: [60] Power Management version 3
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
  Address: 0000000000000000 Data: 0000
 Capabilities: [78] Express (v1) Endpoint, MSI 00
  DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <1us, L1 <4us
   ExtTag+ AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
  DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
   RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
   MaxPayload 128 bytes, MaxReadReq 512 bytes
  DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
  LnkCap: Port #0, Speed 2.5GT/s, Width x16, ASPM L0s L1, Latency L0 <1us, L1 <1us
   ClockPM- Surprise- LLActRep- BwNot-
  LnkCtl: ASPM Disabled; RCB 128 bytes Disabled- Retrain- CommClk-
   ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
  LnkSta: Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
 Kernel driver in use: nouveau

By the way, this problem still occurs with the latest nouveau as built in the latest linux-next git kernel. Apparently git.freedesktop has an even newer nouveau so I might try that. Unless the bug is actually in the xorg driver for nouveau?

Although the keyboard is fully non-operational (no VTs!) and the mouse cursor only moves but doesn't work once the hang occurs, SSH and network still work, and I received these four lines on /var/log/messages the moment nouveau hung:

Feb 12 11:51:03 delan2 kernel: [drm] nouveau 0000:01:00.0: PGRAPH - TRAP_CCACHE FAULT
Feb 12 11:51:03 delan2 kernel: [drm] nouveau 0000:01:00.0: PGRAPH - TRAP_CCACHE 00000000 00000000 00000000 00000000 00000000 00000000 00000000
Feb 12 11:51:03 delan2 kernel: [drm] nouveau 0000:01:00.0: PGRAPH - TRAP
Feb 12 11:51:03 delan2 kernel: [drm] nouveau 0000:01:00.0: PGRAPH - ch 2 (0x0000b00000) subc 5 class 0x8397 mthd 0x0f04 data 0x00000000

I have also seen it vary slightly on the mthd (which has been 0x1414) and the data (which has been 0x00000100). Having searched this error and found basically nothing, this may be important in determining the problem that causes nouveau to hang.

You can try xf86-video-nouveau-9999 from the x11 overlay, if the problem still exists with that one, it is probably best to report a bug on https://bugs.freedesktop.org/ too.

I am already using =xf86-video-nouveau-9999 from the x11 overlay. Tomorrow I will report the bug to freedesktop.

Sorry, I didn't make that clear in my original post. Since reporting the bug, I have installed all-9999 packages from the x11 overlay (including xorg-server, xorg-drivers and xf86-video-nouveau, etc. are all 9999 versions) and the problem still occurs.

Timo Aaltonen (tjaalton) on 2011-02-16
Changed in libdrm (Ubuntu):
importance: Undecided → Medium
8 comments hidden view all 112 comments
Amit Kucheria (amitk) wrote :

Seen on up to date natty too.

Timo Aaltonen (tjaalton) on 2011-03-08
affects: libdrm (Ubuntu) → xserver-xorg-video-nouveau (Ubuntu)
Changed in nouveau:
importance: Unknown → Medium
status: Unknown → Confirmed
Changed in gentoo:
importance: Unknown → High
status: Unknown → Confirmed
9 comments hidden view all 112 comments

Still occurring with the latest Natty.

Fedora is now including the work around patch in their stock kernels (called drm-nouveau-evo-hang.patch). I've been running this patch on top of the stock ubuntu kernels for months now with no negative side effect. The impact of the patch is low, as its with an experimental driver anyway. Without it, the system becomes nearly unusable when enough cursor hides/unhides happen which cause the buffer to wrap. The only thing the workaround does is shrink the size of the buffer by a few entries.

While I would like a real fix, one doesn't appear to be coming from upstream anytime soon. The impact is low, the benefits are high, its an isolated patch that will only affect users with that hardware. Can we -please- get this workaround patch into a natty kernel update, or, at the very least into oneric's(sp?) kernel?

The patch ported from fedora would be in driver/gpu/drm/nouveau/nv50_evo.c, approx. lilne 184:

 /* enable error reporting on the channel */
 nv_mask(dev, 0x610028, 0x00000000, 0x00010001 << id);

 evo->dma.max = (4096/4) - 2
+ evo->dma.max &= ~7;
 evo->dma.put = 0;
 evo->dma.cur = evo->dma.put;
 evo->dma.free = evo->dma.max - evo->dma.cur;

original patch from fedora 14:

From d0301ece9e093c484f880893dc86d97848360892 Mon Sep 17 00:00:00 2001
From: Ben Skeggs <email address hidden>
Date: Fri, 19 Nov 2010 18:50:57 +1000
Subject: [PATCH 2/2] drm-nouveau-evo-hang

On some GF8+ boards, the display engine will stop processing its push
buffer if a wrap-around occurs at a certain point. The exact cause
is not known.

This patch by David Dillow (rhbz#537065) is a safe enough work-around
until it can be solved properly.

Signed-off-by: Ben Skeggs <email address hidden>
---
 drivers/gpu/drm/nouveau/nv50_display.c | 1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/drivers/gpu/drm/nouveau/nv50_display.c b/drivers/gpu/drm/nouveau/nv50_display.c
index 11d366a..4e5402c 100644
--- a/drivers/gpu/drm/nouveau/nv50_display.c
+++ b/drivers/gpu/drm/nouveau/nv50_display.c
@@ -364,6 +364,7 @@ nv50_display_init(struct drm_device *dev)
  nv_wr32(dev, 0x610300, nv_rd32(dev, 0x610300) & ~1);

  evo->dma.max = (4096/4) - 2;
+ evo->dma.max &= ~7;
  evo->dma.put = 0;
  evo->dma.cur = evo->dma.put;
  evo->dma.free = evo->dma.max - evo->dma.cur;
--
1.7.3.2

Changed in nouveau:
status: Confirmed → Fix Released
Bryce Harrington (bryce) wrote :

Since it's a kernel patch, the kernel team needs to take a look at it.

@JFo, please add to the kernel team list to look at for oneiric (and maybe a natty backport).

affects: xserver-xorg-video-nouveau (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: nobody → Jeremy Foshee (jeremyfoshee)
milestone: none → oneiric-alpha-2
status: Confirmed → Triaged
assignee: Jeremy Foshee (jeremyfoshee) → Sanchez666 (jfo)
assignee: Sanchez666 (jfo) → Ubuntu Kernel Team (ubuntu-kernel-team)
summary: - Mouse cursor dissappears with nouveau
+ [PATCH] Mouse cursor dissappears with nouveau
94 comments hidden view all 112 comments

This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 13 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora please change the 'version' of this
bug to the applicable version. If you are unable to change the version,
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Martin Pitt (pitti) on 2011-07-07
Changed in linux (Ubuntu):
milestone: oneiric-alpha-2 → oneiric-alpha-3
94 comments hidden view all 112 comments
Seth Forshee (sforshee) wrote :

Has anyone tried oneiric to see if this problem still exists there? The upstream bug this issue is linked to is marked as having been fixed, and the oneiric version of xserver-xorg-video-nouveau contains the fix identified there. Before applying a workaround in the kernel I'd like to know whether or not a proper fix is available.

This is the fix identified in the upstream bug:

http://cgit.freedesktop.org/nouveau/xf86-video-nouveau/commit/?id=8378443bd3b26b57ef2ae424a700e01ead813d33

Changed in linux (Ubuntu):
assignee: Ubuntu Kernel Team (ubuntu-kernel-team) → Seth Forshee (sforshee)
status: Triaged → Incomplete
Seth Forshee (sforshee) wrote :

Ignore my request to test oneiric -- it should work, as the work-around fix was already merged into the mainline kernel in 2.6.39. Since the patch is upstream it shouldn't be a problem to pull it in. I've started test builds, and I'll post links for verification when they're done.

Changed in linux (Ubuntu):
status: Incomplete → In Progress
John Clemens (clemej) wrote :

Thanks you, testing now. Its a work machine though so I can't really play until next week.

John Clemens (clemej) wrote :

I've been running the seth's kernel (natty amd64) all week with no regressions. Changed back to confirmed.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
milestone: oneiric-alpha-3 → ubuntu-11.10-beta-1
Seth Forshee (sforshee) wrote :

The patch that fixes this is already in oneiric, so closing the main task. Added tasks for lucid, maverick, and natty.

Changed in linux (Ubuntu Lucid):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu Maverick):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu Natty):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Seth Forshee (sforshee) wrote :

Patches sent to kernel-team mailing list.

description: updated
Tim Gardner (timg-tpi) on 2011-08-08
Changed in linux (Ubuntu Natty):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Maverick):
status: In Progress → Fix Committed
Tim Gardner (timg-tpi) on 2011-08-08
Changed in linux (Ubuntu Lucid):
status: In Progress → Fix Committed
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for maverick in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-maverick' to 'verification-done-maverick'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-maverick
Steve Conklin (sconklin) wrote :

This bug is awaiting verification that the kernel for Lucid in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-lucid' to 'verification-done-lucid'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-lucid
Steve Conklin (sconklin) wrote :

This fix has not been verified as being fixed in the -proposed kernels for Lucid or Maverick, and the patch will be reverted from those series

tags: added: verification-reverted-lucid
removed: verification-needed-lucid
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel for Natty in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-natty' to 'verification-done-natty'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-natty
tags: added: verification-reverted-maverick
removed: verification-needed-maverick
John Clemens (clemej) wrote :

I've been running the proposed kernel from natty for the past week-ish with no issues. Now to figure out how to change "tags"...

tags: added: verification-done-natty
removed: verification-needed-natty
Quinn Plattel (qiet72) wrote :
Download full text (5.7 KiB)

I have also had the same problems reported in this bug report. My setup is:
OS: Ubuntu Maverick 10.10 64-bit
Kernel: 2.6.35-30-generic
Video: 01:00.0 VGA compatible controller: nVidia Corporation G92 [GeForce 8800 GT] (rev a2)
Monitors: Dual ASUS VK266H in DVI-D mode.

When the mouse cursor dissapears on my primary screen but still works on my secondary screen, the follow dmesg occurs:

--------------------------------------
Sep 8 21:37:04 qpp-iscsi-maverick64 kernel: [18105.406442] [drm] nouveau 0000:01:00.0: EvoCh 0 Mthd 0x0000 Data 0x00000400 (0x0002 0x01)
Sep 8 21:54:22 qpp-iscsi-maverick64 kernel: [19144.134753] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:22 qpp-iscsi-maverick64 kernel: [19144.204525] [drm] nouveau 0000:01:00.0: no space while hiding cursor
Sep 8 21:54:22 qpp-iscsi-maverick64 kernel: [19144.278499] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:23 qpp-iscsi-maverick64 kernel: [19145.047375] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:23 qpp-iscsi-maverick64 kernel: [19145.127030] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:24 qpp-iscsi-maverick64 kernel: [19145.719052] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:24 qpp-iscsi-maverick64 kernel: [19145.807039] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:30 qpp-iscsi-maverick64 kernel: [19151.475054] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:30 qpp-iscsi-maverick64 kernel: [19152.003313] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:31 qpp-iscsi-maverick64 kernel: [19152.923499] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:31 qpp-iscsi-maverick64 kernel: [19153.005741] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:32 qpp-iscsi-maverick64 kernel: [19153.287133] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:32 qpp-iscsi-maverick64 kernel: [19153.367768] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:32 qpp-iscsi-maverick64 kernel: [19153.911544] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:32 qpp-iscsi-maverick64 kernel: [19153.991517] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:33 qpp-iscsi-maverick64 kernel: [19155.265350] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:34 qpp-iscsi-maverick64 kernel: [19155.344138] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:34 qpp-iscsi-maverick64 kernel: [19155.815973] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:34 qpp-iscsi-maverick64 kernel: [19155.895518] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:40 qpp-iscsi-maverick64 kernel: [19161.432130] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:40 qpp-iscsi-maverick64 kernel: [19161.511591] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
Sep 8 21:54:46 qpp-iscsi-maverick64 kernel: [19168.272217] [drm] nouveau 0000:01:00.0: no space while unhiding cursor
----------------...

Read more...

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-30.59

---------------
linux (2.6.35-30.59) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #837449

  [ Upstream Kernel Changes ]

  * Revert "drm/nv50-nvc0: work around an evo channel hang that some people
    see"
  * Revert "eCryptfs: Handle failed metadata read in lookup"

linux (2.6.35-30.58) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #828376

  [ Upstream Kernel Changes ]

  * proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020

linux (2.6.35-30.57) maverick-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #823306

  [ Tim Gardner ]

  * SAUCE: rtl8192se: Force a build for a 2.6/3.0 kernel
    - LP: #805494
  * [Config] Add enic/fnic to udebs
    - LP: #801610

  [ Upstream Kernel Changes ]

  * taskstats: don't allow duplicate entries in listener mode,
    CVE-2011-2484
    - LP: #806390
    - CVE-2011-2484
  * dccp: handle invalid feature options length, CVE-2011-1770
    - LP: #806375
    - CVE-2011-1770
  * eCryptfs: Handle failed metadata read in lookup
    - LP: #509180
  * pagemap: close races with suid execve, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * report errors in /proc/*/*map* sanely, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * close race in /proc/*/environ, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * auxv: require the target to be tracable (or yourself), CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * deal with races in /proc/*/{syscall, stack, personality}, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * rose: Add length checks to CALL_REQUEST parsing, CVE-2011-1493
    - LP: #816550
    - CVE-2011-1493
  * Bluetooth: l2cap and rfcomm: fix 1 byte infoleak to userspace.
    - LP: #819569
    - CVE-2011-2492
  * drm/nv50-nvc0: work around an evo channel hang that some people see
    - LP: #583760
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 30 Aug 2011 12:11:13 -0300

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-11.50

---------------
linux (2.6.38-11.50) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #848246

  [ Upstream Kernel Changes ]

  * Revert "eCryptfs: Handle failed metadata read in lookup"
  * Revert "KVM: fix kvmclock regression due to missing clock update"
  * Revert "ath9k: use split rx buffers to get rid of order-1 skb
    allocations"

linux (2.6.38-11.49) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #836903

  [ Adam Jackson ]

  * SAUCE: drm/i915/pch: Fix integer math bugs in panel fitting
    - LP: #753994

  [ Keng-Yu Lin ]

  * SAUCE: Input: ALPS - Enable Intellimouse mode for Lenovo Zhaoyang E47
    - LP: #632884, #803005

  [ Stefan Bader ]

  * [Config] Force perf to use libiberty for demangling
    - LP: #783660

  [ Tim Gardner ]

  * [Config] Add enic/fnic to udebs
    - LP: #801610

  [ Upstream Kernel Changes ]

  * eeepc-wmi: add keys found on EeePC 1215T
    - LP: #812644
  * eCryptfs: Handle failed metadata read in lookup
    - LP: #509180
  * pagemap: close races with suid execve, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * report errors in /proc/*/*map* sanely, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * close race in /proc/*/environ, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * auxv: require the target to be tracable (or yourself), CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * deal with races in /proc/*/{syscall, stack, personality}, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * vmscan: fix a livelock in kswapd
    - LP: #813797
  * mmc: Add PCI fixup quirks for Ricoh 1180:e823 reader
    - LP: #773524
  * mmc: Added quirks for Ricoh 1180:e823 lower base clock frequency
    - LP: #773524
  * rose: Add length checks to CALL_REQUEST parsing, CVE-2011-1493
    - LP: #816550
    - CVE-2011-1493
  * pata_marvell: Add support for 88SE91A0, 88SE91A4
    - LP: #777325
  * GFS2: make sure fallocate bytes is a multiple of blksize, CVE-2011-2689
    - LP: #819572
    - CVE-2011-2689
  * Bluetooth: l2cap and rfcomm: fix 1 byte infoleak to userspace.
    - LP: #819569
    - CVE-2011-2492
  * drm/nv50-nvc0: work around an evo channel hang that some people see
    - LP: #583760
  * KVM: fix kvmclock regression due to missing clock update
    - LP: #795717
  * Add mount option to check uid of device being mounted = expect uid,
    CVE-2011-1833
    - LP: #732628
    - CVE-2011-1833
  * proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020
  * ipv6: make fragment identifications less predictable, CVE-2011-2699
    - LP: #827685
    - CVE-2011-2699
  * ath9k: use split rx buffers to get rid of order-1 skb allocations
    - LP: #728835
  * perf: Fix software event overflow, CVE-2011-2918
    - LP: #834121
    - CVE-2011-2918
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 12 Sep 2011 17:23:38 -0300

Changed in linux (Ubuntu Natty):
status: Fix Committed → Fix Released
Quinn Plattel (qiet72) wrote :

Hi,

After 10 days of testing patched kernel 2.6.35-30-generic #55~lp583760v201107071554ller (rev 10), I think I can safely say that the patch works - no hidden mouse pointers!

br,
Quinn

Launchpad Janitor (janitor) wrote :
Download full text (16.9 KiB)

This bug was fixed in the package linux - 2.6.32-34.77

---------------
linux (2.6.32-34.77) lucid-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #849228

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: Remove BUG_ON from i915_gem_evict_something"
  * Revert "drm/i915: Periodically flush the active lists and requests"
  * Revert "drm/i915/evict: Ensure we completely cleanup on failure"
  * Revert "drm/i915: Maintain LRU order of inactive objects upon access by
    CPU (v2)"
  * Revert "drm/i915: Implement fair lru eviction across both rings. (v2)"
  * Revert "drm/i915: Move the eviction logic to its own file."
  * Revert "drm/i915: prepare for fair lru eviction"

linux (2.6.32-34.76) lucid-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #836914

  [ Upstream Kernel Changes ]

  * Revert "drm/nv50-nvc0: work around an evo channel hang that some people
    see"
  * Revert "eCryptfs: Handle failed metadata read in lookup"
  * Revert "tunnels: fix netns vs proto registration ordering"

linux (2.6.32-34.75) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #832332

  [ Upstream Kernel Changes ]

  * drm/i915: Remove BUG_ON from i915_gem_evict_something
    - LP: #828550

linux (2.6.32-34.74) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #828375

  [ Upstream Kernel Changes ]

  * proc: fix oops on invalid /proc/<pid>/maps access, CVE-2011-1020
    - LP: #813026
    - CVE-2011-1020

linux (2.6.32-34.73) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #824148

  [ Tim Gardner ]

  * SAUCE: rtl8192se: Force a build for a 2.6/3.0 kernel
    - LP: #805494
  * [Config] Add enic/fnic to udebs
    - LP: #801610

  [ Upstream Kernel Changes ]

  * tty: icount changeover for other main devices, CVE-2010-4076,
    CVE-2010-4077
    - LP: #720189
    - CVE-2010-4077
  * fs/partitions/efi.c: corrupted GUID partition tables can cause kernel
    oops
    - LP: #795418
    - CVE-2011-1577
  * ftrace: Only update the function code on write to filter files
    - LP: #802383
  * kmemleak: Do not return a pointer to an object that kmemleak did not
    get
    - LP: #802383
  * CPU hotplug, re-create sysfs directory and symlinks
    - LP: #802383
  * Fix memory leak in cpufreq_stat
    - LP: #802383
  * powerpc/kexec: Fix memory corruption from unallocated slaves
    - LP: #802383
  * powerpc/oprofile: Handle events that raise an exception without
    overflowing
    - LP: #802383
  * mtd: mtdconcat: fix NAND OOB write
    - LP: #802383
  * x86, 64-bit: Fix copy_[to/from]_user() checks for the userspace address
    limit
    - LP: #802383
  * ext3: Fix fs corruption when make_indexed_dir() fails
    - LP: #802383
  * jbd: Fix forever sleeping process in do_get_write_access()
    - LP: #802383
  * jbd: fix fsync() tid wraparound bug
    - LP: #802383
  * ext4: release page cache in ext4_mb_load_buddy error path
    - LP: #802383
  * Fix Ultrastor asm snippet
    - LP: #802383
  * x86, amd: Do not enable ARAT feature on AMD processors below family
    0x12
    - LP: #802383
  * x86, ...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released

This is probably obsolete now after so many years :/

Changed in gentoo:
status: Confirmed → Unknown

Please test with an updated system

Changed in libdrm (Fedora):
importance: Unknown → Medium
status: Unknown → Won't Fix
Displaying first 40 and last 40 comments. View all 112 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.